/************************************************************************************************
* 																								*
*							PROPELLERUHR FUER BECCY												*
*						   =========================											*
*																								*
*							      SPI Library													*
*																								*
*																								*
* Autor:		Denis Bethuser																	*
*																								*
* Controller:	ATMEGA88																		*
* Quarz:		int. RC 8MHz																	*
*																								*
* Version:		0.2 																			*
*																								*
************************************************************************************************/

/**** Defines / Alias **************************************************************************/

#include "Beccy_Uhr_Com.h"

#define SPI_PORT PORTB										// SPI-Pins definieren
#define SPI_DDR  DDRB
#define CSS 	 2
#define MOSI	 3
#define MISO	 4
#define SCK	 5
#define OE 	 6
#define RCLK	 7

/**** Inititialisierung ************************************************************************/

void SPI_init(){

	DDRB |= (1<<RCLK)|(1<<CSS)|(1<<MOSI)|(1<<SCK); 			// I/O-Einstellungen
	PORTB |= (1<<RCLK);

   	SPCR = (1 << SPE) | (1 << MSTR) | (1 << CPOL);			// Master; H-Bits zuerst; SCK = 1

   	PORTB |= (1<<PB4);	 									// Floaten vermeiden

   	SPSR |= (1 << SPI2X);									// Max. Geschw.
}

/**** Ausgabe an LEDs **************************************************************************/

void SPI_out (){

	SPDR = Anzeige.low;
	while (!(SPSR & (1 << SPIF)));

	SPDR = Anzeige.high;
	while (!(SPSR & (1 << SPIF)));

	PORTB &= ~(1<<RCLK);
	PORTB |= (1<<RCLK);
}
